AIO(4)

NAME
aio - asynchronous I/O

SYNOPSIS
To link into the kernel:
options VFS_AIO

To load as a kernel loadable module:
    kldload aio

DESCRIPTION
The aio facility provides system calls for asynchronous I/O. It is available both as a kernel option for static inclusion and as a dynamic kernel module.

SEE ALSO
aio_cancel(2), aio_error(2), aio_read(2), aio_return(2), aio_suspend(2), aio_waitcomplete(2), aio_write(2), lio_listio(2), config(8), kldload(8), kldunload(8)

HISTORY
The aio facility appeared as a kernel option in FreeBSD 3.0. The aio kernel module appeared in FreeBSD 5.0.